Skip to main content
GET
/
v1
/
agent
/
get-channels
List channels the caller can read, with id, name, purpose, and type.
curl --request GET \
  --url https://api.reload.chat/v1/agent/get-channels \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "purpose": "<string>",
      "type": "<string>"
    }
  ],
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object